'// Basic example
#include once "../fbList.bi"

'// The simplest way to use fbList is to simply 'dim as t_List'
'// Note that this default list is very limited, it is highly
'//  recomended to use TYPELIST instead,
'//  see example-02 for more information about TYPELIST.

'// Create an array of numbers
dim as integer ScrambledNumbers(...) = {5, 1, 3, 4, 2}

'// Create a basic list and fill it with the numbers we defined above
dim as t_List myList = ScrambledNumbers()

print "myList is "& myList.Length &" items long:"
myList.ForEach(i as integer)
	if i > 0 then
		print ", "& myList[i];
	else
		print "	"& myList[i];
	end if
next
print

myList += 99 '// += is shorthand to Insert a new element at the end of the list

print "After +=, myList is "& myList.Length &" items long:"
print "	"& myList.CSV() '// .CSV returns a comma separated string of all elements in the list

myList.Remove(2) '// Remove the element at index 2

print "After .Remove(2), myList is "& myList.Length &" items long:"
print "	"& myList.CSV() '// .CSV returns a comma separated string of all elements in the list

myList.Insert(3, 2) '// Insert the element 3 at index 2

print "After .Insert(3,2), myList is "& myList.Length &" items long:"
print "	"& myList.CSV() '// .CSV returns a comma separated string of all elements in the list

print
print "Press any key to close the example!"
sleep
